#SourcePath: udev/20130717dev
Summary: 	A userspace implementation of devfs
Name: 		sony-target-dev-udev
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-udev
Version: 	182
Release: 	12000002
URL: 		http://kernel.org/pub/linux/utils/kernel/hotplug/
Source0: 	udev-%{version}.tar.bz2
Patch0 :	udev-rpmb-fix-for-mmc.patch	
License: 	GPLv2.0+, LGPLv2.1+
Group: 		%{sony_group}
Distribution: 	%{sony_distribution}
Vendor: 	%{sony_vendor}
Packager: 	%{sony_packager}
BuildRoot: 	%{_tmppath}/%{name}-root
Prefix          : %{sony_target_dir}
%define _defaultdocdir  %{sony_target_dir}%{sony_target_doc_dir}

%description
udev is a implementation of devfs in userspace using sysfs and
/sbin/hotplug. It requires kernel above 2.6  to run properly.

%package -n %{pkgname}
Summary: A userspace implementation of devfs
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
udev is a implementation of devfs in userspace using sysfs and
/sbin/hotplug. It requires kernal above  2.6 to run properly.

%prep
%setup -n udev-%{version}
%patch0 -p1
%build
#Adding newly
autoreconf -vfi
# prevent man pages from re-building (xmlto)
find . -name "*.[1-8]" -exec touch '{}' \;
export V=1

%sony_target_dev_setup
%sony_target_dev_configure  --with-usb-ids-path=%{sony_target_dev_sharedstate_dir} \
	--with-pci-ids-path=%{sony_target_dev_sharedstate_dir} \
	--disable-introspection \
	--disable-keymap \
	--disable-build-docs \
	--without-selinux \
	--libexecdir=/lib\
	--sysconfdir=%{sony_target_dev_sysconf_dir} \
	--enable-rule-generator --sbindir=/sbin \
	--enable-floppy \
	--disable-gudev \
	--with-firmware-path=%{sony_target_dev_lib_dir}/udev/firmware \
	--with-systemdsystemunitdir=no

make LDFLAGS="${LDFLAGS} -lrt"
export LD_LIBRARY_PATH=/usr/local/arm-sony-linux-gnueabi/host/lib64/
make test-libudev test-udev

%install
rm -rf %{buildroot}
%sony_target_dev_setup

%sony_target_dev_makeinstall


rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}/sbin

cd  %{buildroot}%{sony_target_dir}/sbin/

mv  %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/udevadm .

ln -s ../lib/udev/udevd .

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/pkgconfig/udev.pc \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/pkgconfig/

%postun
%insserv_cleanup

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%dir %{sony_target_dir}/lib/udev/devices

%{sony_target_dir}/sbin/udevadm
%{sony_target_dir}/sbin/udevd
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/udev/udev.conf
%{sony_target_dir}/lib/udev/accelerometer
%{sony_target_dir}/lib/udev/ata_id
%{sony_target_dir}/lib/udev/cdrom_id
%{sony_target_dir}/lib/udev/collect
%{sony_target_dir}/lib/udev/create_floppy_devices
%{sony_target_dir}/lib/udev/mtd_probe
%{sony_target_dir}/lib/udev/rule_generator.functions
%{sony_target_dir}/lib/udev/rules.d/42-usb-hid-pm.rules
%{sony_target_dir}/lib/udev/rules.d/50-udev-default.rules
%{sony_target_dir}/lib/udev/rules.d/60-cdrom_id.rules
%{sony_target_dir}/lib/udev/rules.d/60-floppy.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-alsa.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-input.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-serial.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-storage-tape.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-storage.rules
%{sony_target_dir}/lib/udev/rules.d/60-persistent-v4l.rules
%{sony_target_dir}/lib/udev/rules.d/61-accelerometer.rules
%{sony_target_dir}/lib/udev/rules.d/75-cd-aliases-generator.rules
%{sony_target_dir}/lib/udev/rules.d/75-net-description.rules
%{sony_target_dir}/lib/udev/rules.d/75-persistent-net-generator.rules
%{sony_target_dir}/lib/udev/rules.d/75-probe_mtd.rules
%{sony_target_dir}/lib/udev/rules.d/75-tty-description.rules
%{sony_target_dir}/lib/udev/rules.d/78-sound-card.rules
%{sony_target_dir}/lib/udev/rules.d/80-drivers.rules
%{sony_target_dir}/lib/udev/rules.d/95-udev-late.rules
%{sony_target_dir}/lib/udev/scsi_id
%{sony_target_dir}/lib/udev/udevd
%{sony_target_dir}/lib/udev/v4l_id
%{sony_target_dir}/lib/udev/write_cd_rules
%{sony_target_dir}/lib/udev/write_net_rules
%{sony_target_dir}%{sony_target_dev_lib_dir}/libudev.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libudev.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libudev.so.0.13.1
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/udev.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libudev.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/libudev.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libudev.la

%changelog
* Fri Sep 01 2017 Sony Corporation
- Fixed boot time rpmb error in udev

* Fri Mar 11 2016 Sony Corporation
- Fixed the broken link

* Mon Mar 07 2016 Sony Corporation
- Modified the spec for udev-182

* Thu May 19 2005 Sony Corporation
- Initial build
